Bug 1786211 - geolite2: upstream license change
Summary: geolite2: upstream license change
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: geolite2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2019-12-23 23:53 UTC by Carl George
Modified: 2020-01-07 19:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Carl George 2019-12-23 23:53:44 UTC
MaxMind, the company that maintains the GeoLite2 databases, has decided to change the license of their databases [0].  Previously they were available under the Creative Commons Attribution-ShareAlike 4.0 license [1].  My understanding of the situation is that the databases are now distributed under a custom license that requires a user to agree to terms to obtain a license key in order to download the databases [2].  Their blog post states that redistribution is permitted, but I don't see any mention of redistribution in the new license.

I have updated the Fedora packages to the December 2019 version of the databases, which are still available under CC-BY-SA.  I would like Fedora Legal's advice on what should happen to this package in the future.  Here are the scenarios I can imagine.

1. Keep the Fedora packages but never update them again, since future updates to the databases will be released under a non-approved license.

2. Retire the packages.  Nothing has a hard requirement on them.  ipcalc, php-maxmind-db-reader, and php-maxminddb recommend one at least one of the geolite2-* subpackages.  The geoipupdate tool is capable of downloading the databases when provided with a license key, but having the databases available as packages is beneficial so users can have the databases updated with their normal system updates rather than a dedicated tool.

3. Seek Fedora Legal's approval of the new license [2] in order to keep the packages updated.  In this scenario I'm not clear who would be agreeing to the license terms.  I'm not sure if I as an individual can agree to the terms for all of Fedora.  This package also exists in RHEL 8, so if Red Hat were to establish a MaxMind account for RHEL, it would be nice to be able to use the same account for Fedora as well.

[0]: https://blog.maxmind.com/2019/12/18/significant-changes-to-accessing-and-using-geolite2-databases/
[1]: https://web.archive.org/web/20191206115318/https://dev.maxmind.com/geoip/geoip2/geolite2/#License
[2]: https://www.maxmind.com/en/geolite2/eula

Comment 1 Tom "spot" Callaway 2020-01-07 19:47:03 UTC
Sadly, the new GeoLite2 license is non-free and not permissible in Fedora. The December 2019 version of the databases which is clearly CC-BY-SA (and thus, permissible) can stay as long as you wish. 

In your three option scenarios, I can only eliminate #3. The choice of #1 or #2 is up to you, though, I would strongly advise you to engage in a deeper discussion with the Fedora community (especially affected maintainers) before making any change.


Note You need to log in before you can comment on or make changes to this bug.